import { BlendFunction, DepthOfFieldEffect } from 'postprocessing';
export interface DepthOfFieldPmndrsProps {
    /**
     * The blend function of this effect. This prop is not reactive.
     */
    blendFunction?: BlendFunction;
    /**
     * The focus distance in world units.
     */
    worldFocusDistance?: number;
    /**
     * The focus range in world units.
     */
    worldFocusRange?: number;
    /**
     * The normalized focus distance. Range is [0.0, 1.0].
     */
    focusDistance?: number;
    /**
     * The focus range. Range is [0.0, 1.0].
     */
    focusRange?: number;
    /**
     * The scale of the bokeh blur.
     */
    bokehScale?: number;
    resolutionScale?: number;
    resolutionX?: number;
    resolutionY?: number;
}
declare const _default: import('vue').DefineComponent<DepthOfFieldPmndrsProps, {
    pass: import('vue').ShallowRef<import('postprocessing').EffectPass | null>;
    effect: import('vue').ShallowRef<DepthOfFieldEffect | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<DepthOfFieldPmndrsProps> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
